﻿var helper = require('sendgrid').mail;

var Sendgrid = function (sendgridApiKey) {
    this._sendgrid =require('sendgrid')(sendgridApiKey);
}

Sendgrid.prototype = {
    sendEmail: function (fromEmail, fromTitle, toEmails, title, htmlContent, callback) {

        fromEmail = new helper.Email(fromEmail, fromTitle);
        toEmails = toEmails.map(function (c) {
            return new helper.Email(c);
        });

        var content = new helper.Content("text/html", htmlContent);
        var mail = new helper.Mail(fromEmail, title, toEmails[0], content);
        for (var i = 1; i < toEmails.length; i++)
            mail.personalizations[0].addTo(toEmails[i]);

        var request = this._sendgrid.emptyRequest({
            method: 'POST',
            path: '/v3/mail/send',
            body: mail.toJSON()
        });

        this._sendgrid.API(request, callback);
    }
}


exports.Sendgrid = Sendgrid;