﻿var express = require('express');
var router = express.Router();
var apiHelper = require('./api-helper.js');

module.exports = function (app) {

    
    var machiModule = app.get('machiModule');
    var options = machiModule.options;
    router.use(machiModule.middleware.apiAuthenticationRequired);


    //Check if this account is valid or not, and if it's valid then return api key that can used to execute method regards this account
    router.post('/authenticateAccount', function (req, res) {
        apiHelper.reply(res, undefined, undefined, { status: 'Authorized' });
    });
    
    app.use('/api/user', router);
};