﻿var express = require('express');
var router = express.Router();
var apiHelper = require('./api-helper.js');

module.exports = function (app) {

    
    var machiModule = app.get('machiModule');
    var options = machiModule.options;
    router.use(machiModule.middleware.apiAuthenticationRequired);


    //Check if this account is valid or not, and if it's valid then return api key that can used to execute method regards this account
    router.post('/authenticateAccount', function (req, res) {
        apiHelper.reply(res, undefined, undefined, { status: 'Authorized' });
    });
    
    ////Sends a password reset email
    //router.post('/sendPasswordResetEmail', function (req, res) {
    //    machiModule.connect.sendForgotPasswordEmail(req.user.username, function (err) {
    //        if (err) return apiHelper.reply(res, err);
    //        apiHelper.reply(res, undefined, 'Email sent successfully');
    //    });
    //});


    ////Sends a 6 digits number to an email
    //router.post('/sendChangeEmail', function (req, res) {
    //    var newEmail = req.param('newEmail');
    //    if (!newEmail) apiHelper.reply(res, 'New email address is invalid');
    //    var token = machiModule.tokens.createToken(req.user.username, newEmail, 60 * 60, 6);
    //    machiModule.emails.sendEmailTo(req.user.username, newEmail, 'changeEmail', { token: token }, function (err) {
    //        if (err) return apiHelper.reply(res, err);
    //        apiHelper.reply(res, undefined, 'Email sent successfully');
    //    });
    //});

    ////save the user information
    //router.get('/getAccount', function (req, res, next) {
    //    machiModule.connect.getUser(req.user.username, function (err, account) {
    //        apiHelper.reply(res, err, account && account.profile);
    //    });
    //});

    ////save the user information
    //router.post('/saveAccount', function (req, res, next) {
    //    var edited = apiHelper.getExpressRequestParams(req)['account'];
    //    if (typeof (edited) == 'string')
    //        edited = JSON.parse(edited);
    //    if (!edited) return apiHelper.reply(res, 'Parameter account missing');

    //    machiModule.connect.getUser(req.user.username, function (err, account) {

    //        if (err) return apiHelper.reply(res, err);
    //        var profile = account.profile;
    //        //Make sure the user verifed his new email address
    //        if (profile.email != edited.email) {
    //            machiModule.tokens.getToken(req.user.username, edited.changeEmailToken, true, function (err, newEmail) {
    //                if (err || newEmail != edited.email)
    //                    return apiHelper.reply(res, 'Email address not verified');
    //                updateUserProfile(req, res, profile, edited);
    //            });
    //        }
    //        else updateUserProfile(req, res, profile, edited);
    //    });

    //});

    //function updateUserProfile(req, res, profile, newProfile) {
    //    profile.firstName = newProfile.firstName;
    //    profile.middleName = newProfile.middleName;
    //    profile.lastName = newProfile.lastName;
    //    profile.email = newProfile.email;
    //    machiModule.connect.updateUser(profile.username, profile, function (err, newUser) {
    //        req.session.passport.user = newUser.profile;
    //        apiHelper.reply(res, err, profile);
    //    });
    //}

    app.use('/api/user', router);
};